﻿.form-feedback {
  display: none;
  padding: 15px;
  margin-bottom: 15px;
  margin: 1%;
  border-radius: 10px;
  color: #43403D; }

.form-feedback.error {
  display: block;
  background-color: #FAFAD2; }

.form-feedback.success {
  display: block;
  background-color: #C4E3AC; }

.form-feedback.info {
  display: block;
  background-color: #eee; }

form {
  border-radius: 10px;
  overflow: hidden;
  /* for clearing floats */ }

form.green-border {
  border: 1px solid #004d43;
  padding: 10px; }

form.dark-bg {
  background-color: #D2D2D2;
  padding: 15px; }

form.light-bg {
  background-color: transparent; }

form label {
  float: left;
  margin-bottom: 15px;
  text-align: left; }

form label.half-width {
  width: 50%; }

form label.half-width:nth-child(odd) {
  padding-right: 2%; }

form label.half-width:nth-child(even) {
  padding-left: 2%; }

form label.full-width {
  width: 100%; }

form label.full-width.padded-top {
  padding-top: 20px; }

form label.checkbox span,
form label.checkbox input {
  display: inline-block;
  width: auto;
  vertical-align: middle; }

form div.third-width {
  width: 33%;
  float: left;
  padding-bottom: 15px;
  color: #155149; }

form label > span,
form label > input,
form label > textarea {
  display: block;
  width: 100%; }

form label > select {
  min-width: 50%; }

form label > span {
  margin-bottom: 5px; }

form label input,
form label textarea,
form label select {
  padding: 5px;
  resize: vertical; }

fieldset {
  border: none;
  padding: 0;
  margin: 0; }

div.dark-bg-inset {
  display: inline-block;
  background-color: #dfdfdf;
  padding: 15px;
  border-radius: 10px; }

.dark-bg-inset input[type=checkbox] {
  margin-top: 3px;
  margin-right: 8px;
  float: left; }

form.dark-bg label input,
form.dark-bg label textarea,
form.dark-bg label select {
  border: none; }

form.light-bg label input,
form.light-bg label textarea,
form.light-bg label select {
  border: solid 1px #E7E7E7;
  background-color: #fff; }

form .button-bar {
  padding: 15px 1%;
  text-align: center; }

.recaptcha {
  float: left; }

form button {
  font-size: .8rem;
  text-transform: uppercase;
  padding: 10px 25px;
  border-radius: 500px;
  text-decoration: none;
  border: none;
  box-shadow: 7px 7px 5px 1px rgba(0, 0, 0, 0.25);
  background-color: #90bc4d;
  color: #fff; }
  form button a:hover {
    text-decoration: none; }

form.required-hints .required > span:first-child:after {
  content: '*'; }

form.optional-hints .optional > span:first-child:after {
  content: ' (optional)';
  font-style: italic;
  color: #888; }

@media only screen and (max-width: 767px) {
  form label[class$="-width"] {
    width: 100%;
    padding: 0 !important; } }
